Summary: X utility to select colors
Name: xcolorsel
Version: 1.1a
Release: 7
Copyright: GPL
Group: X11/Utilities
Source0: xcolorsel-1.1a.tar.gz
Source1: xcolorsel.wmconfig
Patch0: xcolorsel-1.1a-Xaw3d.patch
BuildRoot: /var/tmp/xcolorsel-root

%description
X utility to display/select colors from RGB database

%changelog

* Wed Jun 24 1998 Peter Soos <sp@osb.hu>

- Using %attr

* Sun Dec 28 1997 Peter Soos <sp@osb.hu>

- Added wmconfig support

* Sun Dec 14 1997 Peter Soos <sp@osb.hu>

- Rebuilt under RedHat Linux 5.0
- Used BuildRoot

%prep
%setup -n xcolorsel
%patch

%build
xmkmf
make "XPALDIR=/usr/X11R6/lib/X11"

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" "XPALDIR=/usr/X11R6/lib/X11" install
make "DESTDIR=$RPM_BUILD_ROOT" install.man
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/xcolorsel.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/xcolorsel

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc 00-README 01-CHANGELOG
%config /etc/X11/wmconfig/xcolorsel
%config /usr/X11R6/lib/X11/app-defaults/Xcolorsel
%config /usr/X11R6/lib/X11/app-defaults/Xcolorsel-color
/usr/X11R6/bin/xcolorsel
/usr/X11R6/lib/X11/Xcolorsel.help
/usr/X11R6/man/man1/xcolorsel.1x
